#!/bin/bash

# http://www.iclicker.com

# Setup script for iclicker dependencies
# The script should be run once per computer, by the computer administrator (sudoer or root user)

# If the iclicker folder is itinerant (usb or network drive), this script should be run on the computers where iclicker is meant to run
########################################################################
here="${0%/*}"

case $here in
     /*) absolute="" ;;
     *) absolute="$PWD/" ;;
esac
libs=$absolute$here/Libs

pkexec "$libs/./setup-admin.sh"
ret="$?"

echo
if [ "$ret" -eq "0" ]; then
	echo -e "\e[00;32mCongratulations, iclicker is ready for use!\e[00m"
else
	echo -e "\e[00;31mSetup script failed!\e[00m"
fi

echo
read -p "Press [Enter] key to quit setup script..."
echo
########################################################################
# iclicker needs to copy to the udev rule folder a permission file for handling the iclicker usb base.

########################################################################
# iclicker relies on the following Libraries
# libc6		  Embedded GNU C Library: Shared libraries
# libgcc1	  GCC support library
# libqt4-svg	  Qt 4 SVG module
# libqt4-xml	  Qt 4 XML module
# libqtcore4	  Qt 4 core module
# libqtgui4	  Qt 4 GUI module
# libstdc++6	  GNU Standard C++ Library v3
# libusb-1.0-0	  userspace USB programming library


########################################################################
